# Class LeadingEdgeFractionAlgorithm

java.lang.Object
org.snpeff.geneSets.algorithm.EnrichmentAlgorithm
org.snpeff.geneSets.algorithm.EnrichmentAlgorithmGreedy
org.snpeff.geneSets.algorithm.EnrichmentAlgorithmGreedyVariableSize
org.snpeff.geneSets.algorithm.FisherPValueGreedyAlgorithm
org.snpeff.geneSets.algorithm.LeadingEdgeFractionAlgorithm

public class LeadingEdgeFractionAlgorithm extends FisherPValueGreedyAlgorithm
Leading edge fraction algorithm References: "Common Inherited Variation in Mitochondrial Genes Is Not Enriched for Associations with Type 2 Diabetes or Related Glycemic Traits" http://www.plosgenetics.org/article/info%3Adoi%2F10.1371%2Fjournal.pgen.1001058 See page 12, "Step 4"

Author:
  pablocingolani

## Nested Class Summary

### Nested classes/interfaces inherited from class EnrichmentAlgorithm

`EnrichmentAlgorithm.EnrichmentAlgorithmType`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final org.apfloat.Apfloat`
`ONE`
`static final double`
`SCORE_CUTOFF_QUANTILE_DEFAULT`

### Fields inherited from class EnrichmentAlgorithmGreedy

`adjustedPvalue, DEFAULT_MAX_PVALUE, maxPvalue, maxPvalueAjusted`

### Fields inherited from class EnrichmentAlgorithm

`HTML_BG_COLOR, HTML_BG_COLOR_TITLE, HTML_TD_GENES_MAX_LEN, PRINT_SOMETHING_TIME`

## Constructor Summary

Constructors
Constructor
Description
`LeadingEdgeFractionAlgorithm(GeneSets geneSets, int numberToSelect, boolean orderDescending)`

## Method Summary

Modifier and Type
Method
Description
`void`
`setOrderDescending(boolean orderDescending)`
`void`
`setpValueCutOffQuantile(double pValueCutOffQuantile)`

### Methods inherited from class EnrichmentAlgorithmGreedyVariableSize

`greedyPvalue, setInitialSize, setSizeGrowthFactor`

### Methods inherited from class EnrichmentAlgorithmGreedy

`greedyPvalue, select, setAdjustedPvalue, setMaxGeneSetSize, setMaxPvalue, setMaxPvalueAjusted, setMinGeneSetSize, setVerbose, stopCriteria`

### Methods inherited from class EnrichmentAlgorithm

`getMaxPvalueAdjusted, getOutput, isShow, print, setDebug, setFilterOutputGeneSets, setHtmlTable, setMaxPValue, setMaxPvalueAdjusted`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### SCORE_CUTOFF_QUANTILE_DEFAULT

public static final double SCORE_CUTOFF_QUANTILE_DEFAULT

See Also:
  - Constant Field Values

### ONE

public static final org.apfloat.Apfloat ONE

## Constructor Details

### LeadingEdgeFractionAlgorithm

public LeadingEdgeFractionAlgorithm(GeneSets geneSets, int numberToSelect, boolean orderDescending)

## Method Details

### setOrderDescending

public void setOrderDescending(boolean orderDescending)

### setpValueCutOffQuantile

public void setpValueCutOffQuantile(double pValueCutOffQuantile)